<?php

declare(strict_types=1);

namespace Drupal\tmgmt_ec_etranslation;

use Drupal\tmgmt\JobItemInterface;

/**
 * Provides an interface for translation response processor.
 */
interface TranslationResponseProcessorInterface {

  /**
   * Processes a translation response.
   *
   * @param \Drupal\tmgmt\JobItemInterface $jobItem
   *   Job item.
   * @param string $key
   *   The response key or identifier (external-reference).
   * @param string $response
   *   The raw JSON response content.
   */
  public function process(JobItemInterface $jobItem, string $key, string $response): void;

}
